- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DAnimation (Deprecated)
- QAnimationClip
- Qt 6.8.3 Reference Documentation

# QAnimationClip Class

class Qt3DAnimation::QAnimationClip

Specifies key frame animation data. More...

Header: | `#include <QAnimationClip>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3danimation)` `target_link_libraries(mytarget PRIVATE Qt6::3danimation)`
qmake: | `QT += 3danimation`
Inherits: | Qt3DAnimation::QAbstractAnimationClip
Status: | Deprecated

- List of all members, including inherited members

## Public Functions

Qt3DAnimation::QAnimationClipData | clipData() const

## Public Slots

void | setClipData(const Qt3DAnimation::QAnimationClipData &clipData)

## Signals

void | clipDataChanged(Qt3DAnimation::QAnimationClipData clipData)

## Detailed Description

## Member Function Documentation

### Qt3DAnimation::QAnimationClipData QAnimationClip::clipData() const

Returns the data describing the animation clip.

Note: Getter function for property clipData.

See also setClipData().

### `[slot]` void QAnimationClip::setClipData(const Qt3DAnimation::QAnimationClipData &clipData)

Set the parameters of the clip according to the clipData provided.

Note: Setter function for property clipData.

See also clipData().